# classes/phing/tasks/ext/git/GitCheckoutTask.php

## \GitCheckoutTask
jump to top

Wrapper around git-checkout

Use {@link Project#createTask} to register a new Task.

Extends from
  \GitBaseTask
see
  \VersionControl_Git
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.git
since
  2.4.3
version
  $Id: GitCheckoutTask.php 1051 2011-03-02 19:40:51Z victor $

### Properties

`string $branchname= ''`

Branch name

Details

Type
  string

`array $extraOptions= 'array'`

-b, -B, -m options to git-checkout Respective task options: create, forceCreate, merge

Default value `array` Details

Type
  array

`boolean $force= 'false'`

--force, -f key to git-checkout

Default value `false` Details

Type
  boolean

`boolean $noTrack= 'false'`

Do not set up "upstream" configuration --no-track key to git-checkout

Default value `false` Details

Type
  boolean

`boolean $quiet= 'false'`

--quiet, -q key to git-checkout

Default value `false` Details

Type
  boolean

`string $startPoint= ''`

If not HEAD, specify starting point

Details

Type
  string

`boolean $track= 'false'`

When creating a new branch, set up "upstream" configuration.

--track key to git-checkout

Default value `false` Details

Type
  boolean

### Methods

`getBranchname( ) :`
`getCreate( ) :`
`getForce( ) :`
`getForceCreate( ) :`
`getMerge( ) :`
`getNoTrack( ) :`
`getQuiet( ) :`
`getStartPoint( ) :`
`getTrack( ) :`
`isCreate( ) :`
`isForce( ) :`
`isForceCreate( ) :`
`isMerge( ) :`
`isNoTrack( ) :`
`isQuiet( ) :`
`isTrack( ) :`
`main( ) :`
The main entry point for the task
`setBranchname( $branchname ) :`
Parameters

Name | Type | Description
--- | --- | ---
$branchname |  |

`setCreate( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setForce( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setForceCreate( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setMerge( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setNoTrack( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setQuiet( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setStartPoint( $startPoint ) :`
Parameters

Name | Type | Description
--- | --- | ---
$startPoint |  |

`setTrack( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

Documentation was generated by DocBlox 0.13.1.